Subject: Re: [PATCH 1/3] git-submodule: allow submodule name and path to differ

From: Junio C Hamano <[email-masked]>
Date: Sat, 09 Jun 2007 17:27:20 -0700

Lars Hjemli <[email-masked]> writes:

> This teaches git-submodule to check module.*.path when looking for the
> config for a submodule path. If no match is found it falls back to the
> current behaviour (module.$path).

I have a feeling that it might be much less troublesome in the
longer term to admit that module.$path was a mistake and support
only one format; wouldn't trying to support both leave ambiguity
and confusion?